automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.12.3-15-


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.12.3-15-g9c4ad69
Date: Tue, 11 Sep 2012 10:11:27 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=9c4ad6973eedb074a9381e14a6c1eeeb285c2465

The branch, maint has been updated
       via  9c4ad6973eedb074a9381e14a6c1eeeb285c2465 (commit)
       via  94b7b8ecd4bae85782b45a9bb36f42c4d2b93805 (commit)
      from  db5437316ffeb3ad51c126ce447cde8396108060 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 t/list-of-tests.mk |    2 +
 t/tags-pr12372.sh  |   74 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+), 0 deletions(-)
 create mode 100755 t/tags-pr12372.sh

diff --git a/t/list-of-tests.mk b/t/list-of-tests.mk
index 8e1093a..6effe77 100644
--- a/t/list-of-tests.mk
+++ b/t/list-of-tests.mk
@@ -41,6 +41,7 @@ t/pr8365-remake-timing.sh \
 t/lex-subobj-nodep.sh \
 t/remake-am-pr10111.sh \
 t/remake-m4-pr10111.sh \
+t/tags-pr12372.sh \
 t/txinfo5.sh \
 $(perl_fake_XFAIL_TESTS)
 
@@ -1154,6 +1155,7 @@ t/tap-summary-color.sh \
 t/tags.sh \
 t/tags2.sh \
 t/tagsub.sh \
+t/tags-pr12372.sh \
 t/tar.sh \
 t/tar2.sh \
 t/tar3.sh \
diff --git a/t/tags-pr12372.sh b/t/tags-pr12372.sh
new file mode 100755
index 0000000..66b40a0
--- /dev/null
+++ b/t/tags-pr12372.sh
@@ -0,0 +1,74 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure tags are processed also for files with non-standard
+# extensions.  See automake bug#12372.
+
+required='cc etags'
+. ./defs || exit 1
+
+cat >> configure.ac <<'END'
+AC_PROG_CC
+AC_CONFIG_FILES([sub/Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+all-local: tags
+.pc.o:
+       sed -e 's/\[/{/' -e 's/\]/}/' $(srcdir)/$*.pc >$*.c
+       $(CC) $(DEFS) $(CPPFLAGS) $(CFLAGS) -c $*.c
+       rm -f $*.c
+
+LINK = $(CCLD) $(CFLAGS) $(LDFLAGS) -o $@
+noinst_PROGRAMS = foo
+foo_SOURCES = foo-main.pc barbar.c
+SUBDIRS = sub
+END
+
+mkdir sub
+cat > sub/Makefile.am <<'END'
+all-local: tags
+.pc.o:
+       sed -e 's/@/a/g' $(srcdir)/$*.pc >$*.c
+       $(CC) $(DEFS) $(CPPFLAGS) $(CFLAGS) -c $*.c
+       rm -f $*.c
+
+LINK = $(CCLD) $(CFLAGS) $(LDFLAGS) -o $@
+noinst_PROGRAMS = zap
+zap_SOURCES = zardoz.pc
+END
+
+echo 'int main(void) [ return bar(1); ]' > foo-main.pc
+echo 'int bar(int x) { return !x; }' > barbar.c
+echo 'int address@hidden(void) { return 0; }' > sub/zardoz.pc
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+./configure
+
+$MAKE
+cat TAGS
+cat sub/TAGS
+$FGREP foo-main.pc TAGS
+$FGREP barbar.c TAGS
+$FGREP zardoz.pc sub/TAGS
+
+$MAKE distcheck
+
+:


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]